package domain


type AlibabaRetailMarketingItempoolActivitySkuDeleteItemPoolActivityElementOperateRequest struct {
    /*
        商品元素列表     */
    SkuElements  *[]AlibabaRetailMarketingItempoolActivitySkuDeleteItemPoolSkuActivityElementDto `json:"sku_elements,omitempty" `

    /*
        同城零售活动id     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        操作人id     */
    CreatorId  *string `json:"creator_id,omitempty" `

    /*
        操作人名称     */
    CreatorName  *string `json:"creator_name,omitempty" `

    /*
        商品所属分组序号     */
    GroupNumber  *int64 `json:"group_number,omitempty" `

    /*
        erp外部活动id     */
    OutActId  *string `json:"out_act_id,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivitySkuDeleteItemPoolActivityElementOperateRequest) SetSkuElements(v []AlibabaRetailMarketingItempoolActivitySkuDeleteItemPoolSkuActivityElementDto) *AlibabaRetailMarketingItempoolActivitySkuDeleteItemPoolActivityElementOperateRequest {
    s.SkuElements = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuDeleteItemPoolActivityElementOperateRequest) SetActId(v int64) *AlibabaRetailMarketingItempoolActivitySkuDeleteItemPoolActivityElementOperateRequest {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuDeleteItemPoolActivityElementOperateRequest) SetCreatorId(v string) *AlibabaRetailMarketingItempoolActivitySkuDeleteItemPoolActivityElementOperateRequest {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuDeleteItemPoolActivityElementOperateRequest) SetCreatorName(v string) *AlibabaRetailMarketingItempoolActivitySkuDeleteItemPoolActivityElementOperateRequest {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuDeleteItemPoolActivityElementOperateRequest) SetGroupNumber(v int64) *AlibabaRetailMarketingItempoolActivitySkuDeleteItemPoolActivityElementOperateRequest {
    s.GroupNumber = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuDeleteItemPoolActivityElementOperateRequest) SetOutActId(v string) *AlibabaRetailMarketingItempoolActivitySkuDeleteItemPoolActivityElementOperateRequest {
    s.OutActId = &v
    return s
}
